﻿@using FA.JustBlog.Core.Infrastructures
@inject IUnitOfWork unitOfWork
@*
    For more information on enabling MVC for empty projects, visit http://go.microsoft.com/fwlink/?LinkID=397860
    
*@
@{
    var listCategory = unitOfWork.CategoryRepository.GetAll();
}
<li class="nav-item"><a class="nav-link px-lg-3 py-3 py-lg-4" href="/Customer/Post/GetPostByCategory?categoryName=@listCategory.ToList()[0].Name">@listCategory.ToList()[0].Name</a></li>
<li class="nav-item"><a class="nav-link px-lg-3 py-3 py-lg-4" href="/Customer/Post/GetPostByCategory?categoryName=@listCategory.ToList()[1].Name">@listCategory.ToList()[1].Name</a></li>
<li class="nav-item dropdown"> 
<div class="dropdown">
  <a class="dropdown-toggle" id="dropdownMenu2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color:black;">
      Danh mục khác
  </a>
  <div class="dropdown-menu" aria-labelledby="dropdownMenu2">
      @foreach(var item in listCategory)
            {
                if (item.Name.Equals(listCategory.ToList()[0].Name)) continue;
                if (item.Name.Equals(listCategory.ToList()[1].Name)) continue;
                <a class="dropdown-item" href="/Customer/Post/GetPostByCategory?categoryName=@item.Name">@item.Name</a>
}
    
  </div>
</div>
</li>